Bug 1312145 - [RHEL7.3] LVM RAID - feature tracker
[RHEL7.3] LVM RAID - feature tracker
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: lvm2 (Show other bugs)
7.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jonathan Earl Brassow
cluster-qe@redhat.com
: Tracking
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-25 16:11 EST by Jonathan Earl Brassow
Modified: 2017-02-01 16:38 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-10 16:07:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Earl Brassow 2016-02-25 16:11:23 EST
RHEL 7.2 RAID Tracker: Bug 1189124
Comment 1 Jonathan Earl Brassow 2016-02-25 16:11:44 EST
UNRESOLVED:
BUG 1191594 - LVM RAID - Add support for 'raid0' segment type to lvm2 tools

UNSCHEDULED:
BUG 1191630 - LVM RAID - Add support for raid level takeover
BUG 1191641 - DM RAID - Add support for raid level takeover
BUG 1191935 - LVM RAID - Add support for raid level reshaping
BUG 1191955 - DM RAID - Add support for raid level reshaping
BUG 1191966 - MD RAID - Eventually add kernel API for raid level reshape
BUG 1191978 - LVM RAID - Add support to add/remove devices to/from
                         existing raid sets
BUG 1191980 - DM RAID - Add support to add/remove devices
                        to/from existing raid sets
BUG 1191983 - MD RAID - Eventually add kernel API to support addition/removal
                        of devices to/from existing raid arrays
Comment 2 Jonathan Earl Brassow 2016-02-25 16:14:00 EST
Bug 1251976 - Raid scrubbing on cache pool raid logical volumes impossible
Comment 3 Jonathan Earl Brassow 2016-02-25 16:43:49 EST
RESOLVED:

UNRESOLVED:
BUG 1191594 - LVM RAID - Add support for 'raid0' segment type to lvm2 tools

UNSCHEDULED:
BUG 1191630 [RHEL7] LVM RAID - Add support for raid level takeover
BUG 1191641 [RHEL7] DM RAID - Add support for raid level takeover
BUG 1191935 [RHEL7] LVM RAID - Add support for raid level reshaping
BUG 1191955 [RHEL7] DM RAID - Add support for raid level reshaping
BUG 1191966 [RHEL7] MD RAID - Eventually add kernel API for raid level reshape
BUG 1191978 [RHEL7] LVM RAID - Add support to add/remove devices to/from existing raid sets
BUG 1191980 [RHEL7] DM RAID - Add support to add/remove devices to/from existing raid sets
BUG 1191983 [RHEL7] MD RAID - Eventually add kernel API to support addition/removal of devices to/from existing raid arrays
Bug 1251976 [RHEL7] Raid scrubbing on cache pool raid logical volumes impossible
Bug  836660 [RHEL6] unable to reduce a striped raid (4|5|6)
Bug 1025322 [RHEL6] device mapper keeps missing_0_0 devices listed even after the LV/VG containing raid is removed
Bug 1030130 [RHEL6] failing multiple raid1 volumes can lead to repair failures and _extracted images
Bug 1069052 [RHEL7] raid1 io stuck when one disk failed
...
Comment 4 Jonathan Earl Brassow 2016-11-10 16:07:32 EST
Final outcome
=============

RESOLVED:
BUG 1191594 - LVM RAID - Add support for 'raid0' segment type to lvm2 tools
BUG 1191630 [RHEL7] LVM RAID - Add support for raid level takeover (part 1)
BUG 1191641 [RHEL7] DM RAID - Add support for raid level takeover
BUG 1191955 [RHEL7] DM RAID - Add support for raid level reshaping
BUG 1191980 [RHEL7] DM RAID - Add support to add/remove devices to/from existing raid sets
BUG 1191966 [RHEL7] MD RAID - Eventually add kernel API for raid level reshape
BUG 1191983 [RHEL7] MD RAID - Eventually add kernel API to support addition/removal of devices to/from existing raid arrays
Bug 1251976 [RHEL7] Raid scrubbing on cache pool raid logical volumes impossible
Bug 1030130 [RHEL6] failing multiple raid1 volumes can lead to repair failures and _extracted images
Bug 1069052 [RHEL7] raid1 io stuck when one disk failed

UNRESOLVED:
Bug  836660 [RHEL6] unable to reduce a striped raid (4|5|6)
BUG 1191935 [RHEL7] LVM RAID - Add support for raid level reshaping
BUG 1191978 [RHEL7] LVM RAID - Add support to add/remove devices to/from existing raid sets
Bug 1025322 [RHEL6] device mapper keeps missing_0_0 devices listed even after the LV/VG containing raid is removed
Comment 5 Jonathan Earl Brassow 2017-02-01 16:38:01 EST
See Bug 1394039 for rhel7.4

Note You need to log in before you can comment on or make changes to this bug.